#include <mimas/mimasexception.h>
#include "mi_scene.hh"

using namespace mimas;

void mi_scene::add_job( const std::string &name, int maxNum )
{
  assert( maxNum > 0 );
  MMERROR( maxNum <= 1, mimasexception, ,
           "Only recognition or tracking of a single instance per type of "
           "micro-object supported at the moment. Contact the delevopers, if "
           "the requirements have risen already." );
  jobs[ name ] = maxNum;
}
