#include <iostream>
#include <mimas/xml_strx.h>
#include "mi_object_type.hh"

using namespace mimas;
using namespace std;

mi_object_type::mi_object_type( const xml_reference< XalanElement >
                                &configuration )
{
  /*
    :
    offset( dynamic_pointer_cast< XalanElement >
    ( configuration.selectNode( "offset" ) ) )
  */
  if ( configuration.existNode( "recognition/*" ) )
    recognition = xml_strx<char,XMLCh>( configuration.
                                           selectNode( "recognition/*" ).
                                           get()->getNodeName().
                                           c_str() ).getBuffer();
  if ( configuration.existNode( "tracking/*" ) )
    tracking = xml_strx<char,XMLCh>( configuration.
                                        selectNode( "tracking/*" ).
                                        get()->getNodeName().
                                        c_str() ).getBuffer();
}
